#include "testlib.h"
#include <set>
#include <vector>
#include <iostream>

using namespace std;

int maxx = (int)1e9;

vector<pair<int, int> > mas;

int main(int argc, char* argv[]) {
    registerGen(argc, argv, 1);
    int n = atoi(argv[1]);
    vector<int> p(n), rev(n), w(n);
    for (int i = 0; i < n; i++)
    {
    	w[i] = rnd.next(0, maxx);
    	p[i] = i;
    }
    shuffle(p.begin(), p.end());
    for (int i = 0; i < n; i++)
    	rev[p[i]] = i;
    for (int i = 1; i < n; i++)
    	mas.push_back({rnd.next(0, i - 1), i});
    shuffle(mas.begin(), mas.end());
    cout << n << "\n";
    for (int i = 0; i < n; i++)
    {
    	if (i)
    		cout << " ";
    	cout << w[rev[i]];
    }
    cout << "\n";
    for (int i = 0; i < n - 1; i++)
    	cout << p[mas[i].first] + 1 << " " << p[mas[i].second] + 1 << "\n";
    return 0;
}