#!/usr/bin/env bash
#   *** validation ***
scripts/run-validator-tests.sh
scripts/run-checker-tests.sh

#    *** tests ***
mkdir -p tests
echo "Generating test #3"
scripts/gen-input-via-stdout.sh "wine files/gen_rnd.exe 1 2 0" "tests/03" 3
echo "Generating test #4"
scripts/gen-input-via-stdout.sh "wine files/gen_rnd.exe 1 3 0" "tests/04" 4
echo "Generating test #5"
scripts/gen-input-via-stdout.sh "wine files/gen_rnd.exe 1 4 0" "tests/05" 5
echo "Generating test #6"
scripts/gen-input-via-stdout.sh "wine files/gen_rnd.exe 1 5 0" "tests/06" 6
echo "Generating test #7"
scripts/gen-input-via-stdout.sh "wine files/gen_rnd.exe 1 6 0" "tests/07" 7
echo "Generating test #8"
scripts/gen-input-via-stdout.sh "wine files/gen_rnd.exe 9 9 8 kek" "tests/08" 8
echo "Generating test #9"
scripts/gen-input-via-stdout.sh "wine files/gen_rnd.exe 9 9 7 mem" "tests/09" 9
echo "Generating test #10"
scripts/gen-input-via-stdout.sh "wine files/gen_rnd.exe 99 99 98 kek" "tests/10" 10
echo "Generating test #11"
scripts/gen-input-via-stdout.sh "wine files/gen_rnd.exe 99 99 97 mem" "tests/11" 11
echo "Generating test #12"
scripts/gen-input-via-stdout.sh "wine files/gen_rnd.exe 999 999 998 kek" "tests/12" 12
echo "Generating test #13"
scripts/gen-input-via-stdout.sh "wine files/gen_rnd.exe 999 999 997 mem" "tests/13" 13
echo "Generating test #14"
scripts/gen-input-via-stdout.sh "wine files/gen_rnd.exe 9999 9999 9998 kek" "tests/14" 14
echo "Generating test #15"
scripts/gen-input-via-stdout.sh "wine files/gen_rnd.exe 9999 9999 9997 mem" "tests/15" 15
echo "Generating test #16"
scripts/gen-input-via-stdout.sh "wine files/gen_rnd.exe 99999 99999 99998 kek" "tests/16" 16
echo "Generating test #17"
scripts/gen-input-via-stdout.sh "wine files/gen_rnd.exe 99999 99999 99997 mem" "tests/17" 17
echo "Generating test #18"
scripts/gen-input-via-stdout.sh "wine files/gen_rnd.exe 99999 99999 99998 177013 255060" "tests/18" 18
echo "Generating test #19"
scripts/gen-input-via-stdout.sh "wine files/gen_rnd.exe 99999 99999 99997 177013 255060" "tests/19" 19
echo "Generating test #20"
scripts/gen-input-via-stdout.sh "wine files/gen_rnd.exe 99999 99999 99996 177013 255060" "tests/20" 20
echo "Generating test #21"
scripts/gen-input-via-stdout.sh "wine files/gen_rnd.exe 99999 99999 99995 177013 255060" "tests/21" 21
echo "Generating test #22"
scripts/gen-input-via-stdout.sh "wine files/gen_rnd.exe 99999 99999 99994 177013 255060" "tests/22" 22
echo "Generating test #23"
scripts/gen-input-via-stdout.sh "wine files/gen_rnd.exe 9999 99999 0 1 why not" "tests/23" 23
echo "Generating test #24"
scripts/gen-input-via-stdout.sh "wine files/gen_rnd.exe 19999 99999 0 2 why not" "tests/24" 24
echo "Generating test #25"
scripts/gen-input-via-stdout.sh "wine files/gen_rnd.exe 29999 99999 0 3 why not" "tests/25" 25
echo "Generating test #26"
scripts/gen-input-via-stdout.sh "wine files/gen_rnd.exe 39999 99999 0 4 why not" "tests/26" 26
echo "Generating test #27"
scripts/gen-input-via-stdout.sh "wine files/gen_rnd.exe 49999 99999 0 5 why not" "tests/27" 27
echo "Generating test #28"
scripts/gen-input-via-stdout.sh "wine files/gen_rnd.exe 59999 99999 0 6 why not" "tests/28" 28
echo "Generating test #29"
scripts/gen-input-via-stdout.sh "wine files/gen_rnd.exe 69999 99999 0 7 why not" "tests/29" 29
echo "Generating test #30"
scripts/gen-input-via-stdout.sh "wine files/gen_rnd.exe 79999 99999 0 8 why not" "tests/30" 30
echo "Generating test #31"
scripts/gen-input-via-stdout.sh "wine files/gen_rnd.exe 89999 99999 0 9 why not" "tests/31" 31
echo "Generating test #32"
scripts/gen-input-via-stdout.sh "wine files/gen_rnd.exe 99999 99999 9998 again why not" "tests/32" 32
echo "Generating test #33"
scripts/gen-input-via-stdout.sh "wine files/gen_rnd.exe 99999 99999 19998 again why not" "tests/33" 33
echo "Generating test #34"
scripts/gen-input-via-stdout.sh "wine files/gen_rnd.exe 99999 99999 29998 again why not" "tests/34" 34
echo "Generating test #35"
scripts/gen-input-via-stdout.sh "wine files/gen_rnd.exe 99999 99999 39998 again why not" "tests/35" 35
echo "Generating test #36"
scripts/gen-input-via-stdout.sh "wine files/gen_rnd.exe 99999 99999 49998 again why not" "tests/36" 36
echo "Generating test #37"
scripts/gen-input-via-stdout.sh "wine files/gen_rnd.exe 99999 99999 59998 again why not" "tests/37" 37
echo "Generating test #38"
scripts/gen-input-via-stdout.sh "wine files/gen_rnd.exe 99999 99999 69998 again why not" "tests/38" 38
echo "Generating test #39"
scripts/gen-input-via-stdout.sh "wine files/gen_rnd.exe 99999 99999 79998 again why not" "tests/39" 39
echo "Generating test #40"
scripts/gen-input-via-stdout.sh "wine files/gen_rnd.exe 99999 99999 89998 again why not" "tests/40" 40
echo "Generating test #41"
scripts/gen-input-via-stdout.sh "wine files/gen_rnd.exe 99999 99999 99998 again why not" "tests/41" 41
echo "Generating test #42"
scripts/gen-input-via-stdout.sh "wine files/gen_nine.exe 1 3 23000 kekosik" "tests/42" 42
echo "Generating test #43"
scripts/gen-input-via-stdout.sh "wine files/gen_nine.exe 3 1 50000" "tests/43" 43
echo "Generating test #44"
scripts/gen-input-via-stdout.sh "wine files/gen_nine.exe 1 4 24000 kekosik" "tests/44" 44
echo "Generating test #45"
scripts/gen-input-via-stdout.sh "wine files/gen_nine.exe 4 1 50000" "tests/45" 45
echo "Generating test #46"
scripts/gen-input-via-stdout.sh "wine files/gen_nine.exe 1 5 25000 kekosik" "tests/46" 46
echo "Generating test #47"
scripts/gen-input-via-stdout.sh "wine files/gen_nine.exe 5 1 50000" "tests/47" 47
echo "Generating test #48"
scripts/gen-input-via-stdout.sh "wine files/gen_nine.exe 2 3 43000 kekosik" "tests/48" 48
echo "Generating test #49"
scripts/gen-input-via-stdout.sh "wine files/gen_nine.exe 3 2 50000" "tests/49" 49
echo "Generating test #50"
scripts/gen-input-via-stdout.sh "wine files/gen_nine.exe 2 4 44000 kekosik" "tests/50" 50
echo "Generating test #51"
scripts/gen-input-via-stdout.sh "wine files/gen_nine.exe 4 2 50000" "tests/51" 51
echo "Generating test #52"
scripts/gen-input-via-stdout.sh "wine files/gen_nine.exe 2 5 45000 kekosik" "tests/52" 52
echo "Generating test #53"
scripts/gen-input-via-stdout.sh "wine files/gen_nine.exe 5 2 50000" "tests/53" 53
echo "Generating test #54"
scripts/gen-input-via-stdout.sh "wine files/gen_nine.exe 3 3 63000 kekosik" "tests/54" 54
echo "Generating test #55"
scripts/gen-input-via-stdout.sh "wine files/gen_nine.exe 3 3 50000" "tests/55" 55
echo "Generating test #56"
scripts/gen-input-via-stdout.sh "wine files/gen_nine.exe 3 4 64000 kekosik" "tests/56" 56
echo "Generating test #57"
scripts/gen-input-via-stdout.sh "wine files/gen_nine.exe 4 3 50000" "tests/57" 57
echo "Generating test #58"
scripts/gen-input-via-stdout.sh "wine files/gen_nine.exe 3 5 65000 kekosik" "tests/58" 58
echo "Generating test #59"
scripts/gen-input-via-stdout.sh "wine files/gen_nine.exe 5 3 50000" "tests/59" 59
echo "Generating test #60"
scripts/gen-input-via-stdout.sh "wine files/gen_nine.exe 4 6 52000 kekosik" "tests/60" 60
echo "Generating test #61"
scripts/gen-input-via-stdout.sh "wine files/gen_nine.exe 6 4 50000" "tests/61" 61
echo "Generating test #62"
scripts/gen-input-via-stdout.sh "wine files/gen_nine.exe 4 7 54000 kekosik" "tests/62" 62
echo "Generating test #63"
scripts/gen-input-via-stdout.sh "wine files/gen_nine.exe 7 4 50000" "tests/63" 63
echo "Generating test #64"
scripts/gen-input-via-stdout.sh "wine files/gen_nine.exe 4 8 56000 kekosik" "tests/64" 64
echo "Generating test #65"
scripts/gen-input-via-stdout.sh "wine files/gen_nine.exe 8 4 50000" "tests/65" 65
echo "Generating test #66"
scripts/gen-input-via-stdout.sh "wine files/gen_nine.exe 5 6 62000 kekosik" "tests/66" 66
echo "Generating test #67"
scripts/gen-input-via-stdout.sh "wine files/gen_nine.exe 6 5 50000" "tests/67" 67
echo "Generating test #68"
scripts/gen-input-via-stdout.sh "wine files/gen_nine.exe 5 7 64000 kekosik" "tests/68" 68
echo "Generating test #69"
scripts/gen-input-via-stdout.sh "wine files/gen_nine.exe 7 5 50000" "tests/69" 69
echo "Generating test #70"
scripts/gen-input-via-stdout.sh "wine files/gen_nine.exe 5 8 66000 kekosik" "tests/70" 70
echo "Generating test #71"
scripts/gen-input-via-stdout.sh "wine files/gen_nine.exe 8 5 50000" "tests/71" 71
echo "Generating test #72"
scripts/gen-input-via-stdout.sh "wine files/gen_nine.exe 6 6 72000 kekosik" "tests/72" 72
echo "Generating test #73"
scripts/gen-input-via-stdout.sh "wine files/gen_nine.exe 6 6 50000" "tests/73" 73
echo "Generating test #74"
scripts/gen-input-via-stdout.sh "wine files/gen_nine.exe 6 7 74000 kekosik" "tests/74" 74
echo "Generating test #75"
scripts/gen-input-via-stdout.sh "wine files/gen_nine.exe 7 6 50000" "tests/75" 75
echo "Generating test #76"
scripts/gen-input-via-stdout.sh "wine files/gen_nine.exe 6 8 76000 kekosik" "tests/76" 76
echo "Generating test #77"
scripts/gen-input-via-stdout.sh "wine files/gen_nine.exe 8 6 50000" "tests/77" 77
echo "Generating test #78"
scripts/gen-input-via-stdout.sh "wine files/gen_nine.exe 1 2 43837" "tests/78" 78
echo "Generating test #79"
scripts/gen-input-via-stdout.sh "wine files/gen_nine.exe 4 5 38288" "tests/79" 79
echo "Generating test #80"
scripts/gen-input-via-stdout.sh "wine files/gen_nine.exe 7 8 77777" "tests/80" 80
echo "Generating test #81"
scripts/gen-input-via-stdout.sh "wine files/gen_nine.exe 2 2 99990" "tests/81" 81
echo "Generating test #82"
scripts/gen-input-via-stdout.sh "wine files/gen_nine.exe 5 5 99995" "tests/82" 82
echo "Generating test #83"
scripts/gen-input-via-stdout.sh "wine files/gen_nine.exe 8 8 99998" "tests/83" 83
echo ""
echo "Generating answer for test #1"
scripts/gen-answer.sh tests/01 tests/01.a "tests" ""
echo ""
echo "Generating answer for test #2"
scripts/gen-answer.sh tests/02 tests/02.a "tests" ""
echo ""
echo "Generating answer for test #3"
scripts/gen-answer.sh tests/03 tests/03.a "tests" ""
echo ""
echo "Generating answer for test #4"
scripts/gen-answer.sh tests/04 tests/04.a "tests" ""
echo ""
echo "Generating answer for test #5"
scripts/gen-answer.sh tests/05 tests/05.a "tests" ""
echo ""
echo "Generating answer for test #6"
scripts/gen-answer.sh tests/06 tests/06.a "tests" ""
echo ""
echo "Generating answer for test #7"
scripts/gen-answer.sh tests/07 tests/07.a "tests" ""
echo ""
echo "Generating answer for test #8"
scripts/gen-answer.sh tests/08 tests/08.a "tests" ""
echo ""
echo "Generating answer for test #9"
scripts/gen-answer.sh tests/09 tests/09.a "tests" ""
echo ""
echo "Generating answer for test #10"
scripts/gen-answer.sh tests/10 tests/10.a "tests" ""
echo ""
echo "Generating answer for test #11"
scripts/gen-answer.sh tests/11 tests/11.a "tests" ""
echo ""
echo "Generating answer for test #12"
scripts/gen-answer.sh tests/12 tests/12.a "tests" ""
echo ""
echo "Generating answer for test #13"
scripts/gen-answer.sh tests/13 tests/13.a "tests" ""
echo ""
echo "Generating answer for test #14"
scripts/gen-answer.sh tests/14 tests/14.a "tests" ""
echo ""
echo "Generating answer for test #15"
scripts/gen-answer.sh tests/15 tests/15.a "tests" ""
echo ""
echo "Generating answer for test #16"
scripts/gen-answer.sh tests/16 tests/16.a "tests" ""
echo ""
echo "Generating answer for test #17"
scripts/gen-answer.sh tests/17 tests/17.a "tests" ""
echo ""
echo "Generating answer for test #18"
scripts/gen-answer.sh tests/18 tests/18.a "tests" ""
echo ""
echo "Generating answer for test #19"
scripts/gen-answer.sh tests/19 tests/19.a "tests" ""
echo ""
echo "Generating answer for test #20"
scripts/gen-answer.sh tests/20 tests/20.a "tests" ""
echo ""
echo "Generating answer for test #21"
scripts/gen-answer.sh tests/21 tests/21.a "tests" ""
echo ""
echo "Generating answer for test #22"
scripts/gen-answer.sh tests/22 tests/22.a "tests" ""
echo ""
echo "Generating answer for test #23"
scripts/gen-answer.sh tests/23 tests/23.a "tests" ""
echo ""
echo "Generating answer for test #24"
scripts/gen-answer.sh tests/24 tests/24.a "tests" ""
echo ""
echo "Generating answer for test #25"
scripts/gen-answer.sh tests/25 tests/25.a "tests" ""
echo ""
echo "Generating answer for test #26"
scripts/gen-answer.sh tests/26 tests/26.a "tests" ""
echo ""
echo "Generating answer for test #27"
scripts/gen-answer.sh tests/27 tests/27.a "tests" ""
echo ""
echo "Generating answer for test #28"
scripts/gen-answer.sh tests/28 tests/28.a "tests" ""
echo ""
echo "Generating answer for test #29"
scripts/gen-answer.sh tests/29 tests/29.a "tests" ""
echo ""
echo "Generating answer for test #30"
scripts/gen-answer.sh tests/30 tests/30.a "tests" ""
echo ""
echo "Generating answer for test #31"
scripts/gen-answer.sh tests/31 tests/31.a "tests" ""
echo ""
echo "Generating answer for test #32"
scripts/gen-answer.sh tests/32 tests/32.a "tests" ""
echo ""
echo "Generating answer for test #33"
scripts/gen-answer.sh tests/33 tests/33.a "tests" ""
echo ""
echo "Generating answer for test #34"
scripts/gen-answer.sh tests/34 tests/34.a "tests" ""
echo ""
echo "Generating answer for test #35"
scripts/gen-answer.sh tests/35 tests/35.a "tests" ""
echo ""
echo "Generating answer for test #36"
scripts/gen-answer.sh tests/36 tests/36.a "tests" ""
echo ""
echo "Generating answer for test #37"
scripts/gen-answer.sh tests/37 tests/37.a "tests" ""
echo ""
echo "Generating answer for test #38"
scripts/gen-answer.sh tests/38 tests/38.a "tests" ""
echo ""
echo "Generating answer for test #39"
scripts/gen-answer.sh tests/39 tests/39.a "tests" ""
echo ""
echo "Generating answer for test #40"
scripts/gen-answer.sh tests/40 tests/40.a "tests" ""
echo ""
echo "Generating answer for test #41"
scripts/gen-answer.sh tests/41 tests/41.a "tests" ""
echo ""
echo "Generating answer for test #42"
scripts/gen-answer.sh tests/42 tests/42.a "tests" ""
echo ""
echo "Generating answer for test #43"
scripts/gen-answer.sh tests/43 tests/43.a "tests" ""
echo ""
echo "Generating answer for test #44"
scripts/gen-answer.sh tests/44 tests/44.a "tests" ""
echo ""
echo "Generating answer for test #45"
scripts/gen-answer.sh tests/45 tests/45.a "tests" ""
echo ""
echo "Generating answer for test #46"
scripts/gen-answer.sh tests/46 tests/46.a "tests" ""
echo ""
echo "Generating answer for test #47"
scripts/gen-answer.sh tests/47 tests/47.a "tests" ""
echo ""
echo "Generating answer for test #48"
scripts/gen-answer.sh tests/48 tests/48.a "tests" ""
echo ""
echo "Generating answer for test #49"
scripts/gen-answer.sh tests/49 tests/49.a "tests" ""
echo ""
echo "Generating answer for test #50"
scripts/gen-answer.sh tests/50 tests/50.a "tests" ""
echo ""
echo "Generating answer for test #51"
scripts/gen-answer.sh tests/51 tests/51.a "tests" ""
echo ""
echo "Generating answer for test #52"
scripts/gen-answer.sh tests/52 tests/52.a "tests" ""
echo ""
echo "Generating answer for test #53"
scripts/gen-answer.sh tests/53 tests/53.a "tests" ""
echo ""
echo "Generating answer for test #54"
scripts/gen-answer.sh tests/54 tests/54.a "tests" ""
echo ""
echo "Generating answer for test #55"
scripts/gen-answer.sh tests/55 tests/55.a "tests" ""
echo ""
echo "Generating answer for test #56"
scripts/gen-answer.sh tests/56 tests/56.a "tests" ""
echo ""
echo "Generating answer for test #57"
scripts/gen-answer.sh tests/57 tests/57.a "tests" ""
echo ""
echo "Generating answer for test #58"
scripts/gen-answer.sh tests/58 tests/58.a "tests" ""
echo ""
echo "Generating answer for test #59"
scripts/gen-answer.sh tests/59 tests/59.a "tests" ""
echo ""
echo "Generating answer for test #60"
scripts/gen-answer.sh tests/60 tests/60.a "tests" ""
echo ""
echo "Generating answer for test #61"
scripts/gen-answer.sh tests/61 tests/61.a "tests" ""
echo ""
echo "Generating answer for test #62"
scripts/gen-answer.sh tests/62 tests/62.a "tests" ""
echo ""
echo "Generating answer for test #63"
scripts/gen-answer.sh tests/63 tests/63.a "tests" ""
echo ""
echo "Generating answer for test #64"
scripts/gen-answer.sh tests/64 tests/64.a "tests" ""
echo ""
echo "Generating answer for test #65"
scripts/gen-answer.sh tests/65 tests/65.a "tests" ""
echo ""
echo "Generating answer for test #66"
scripts/gen-answer.sh tests/66 tests/66.a "tests" ""
echo ""
echo "Generating answer for test #67"
scripts/gen-answer.sh tests/67 tests/67.a "tests" ""
echo ""
echo "Generating answer for test #68"
scripts/gen-answer.sh tests/68 tests/68.a "tests" ""
echo ""
echo "Generating answer for test #69"
scripts/gen-answer.sh tests/69 tests/69.a "tests" ""
echo ""
echo "Generating answer for test #70"
scripts/gen-answer.sh tests/70 tests/70.a "tests" ""
echo ""
echo "Generating answer for test #71"
scripts/gen-answer.sh tests/71 tests/71.a "tests" ""
echo ""
echo "Generating answer for test #72"
scripts/gen-answer.sh tests/72 tests/72.a "tests" ""
echo ""
echo "Generating answer for test #73"
scripts/gen-answer.sh tests/73 tests/73.a "tests" ""
echo ""
echo "Generating answer for test #74"
scripts/gen-answer.sh tests/74 tests/74.a "tests" ""
echo ""
echo "Generating answer for test #75"
scripts/gen-answer.sh tests/75 tests/75.a "tests" ""
echo ""
echo "Generating answer for test #76"
scripts/gen-answer.sh tests/76 tests/76.a "tests" ""
echo ""
echo "Generating answer for test #77"
scripts/gen-answer.sh tests/77 tests/77.a "tests" ""
echo ""
echo "Generating answer for test #78"
scripts/gen-answer.sh tests/78 tests/78.a "tests" ""
echo ""
echo "Generating answer for test #79"
scripts/gen-answer.sh tests/79 tests/79.a "tests" ""
echo ""
echo "Generating answer for test #80"
scripts/gen-answer.sh tests/80 tests/80.a "tests" ""
echo ""
echo "Generating answer for test #81"
scripts/gen-answer.sh tests/81 tests/81.a "tests" ""
echo ""
echo "Generating answer for test #82"
scripts/gen-answer.sh tests/82 tests/82.a "tests" ""
echo ""
echo "Generating answer for test #83"
scripts/gen-answer.sh tests/83 tests/83.a "tests" ""
echo ""

