#ifdef LOCAL
#include "../../testlib.h"
#else
#include "testlib.h"
#endif
#include <string>

using namespace std;

string gen_number(int len, bool zero = false) {
    string res;
    if (!zero) {
        res.push_back('0' + rnd.next(1, 9));
    } else {
        len += 1;
    }
    for (int i = 1; i < len; i++) {
        res.push_back('0' + rnd.next(10));
    }
    return res;
}

int main(int argc, char *argv[]) {

#ifdef LOCAL
    freopen("inf", "w", stdout);
#endif

    registerGen(argc, argv, 1);

    int an = atoi(argv[1]), bn = atoi(argv[2]), sim = atoi(argv[3]);
    if (an < bn) {
        println(gen_number(an));
        println(gen_number(bn));
    } else {
        string common = gen_number(sim);
        char ad = '0' + rnd.next(10), bd = '0' + rnd.next(10);
        while (bd == ad) {
            bd = '0' + rnd.next(10);
        }
        if (bd < ad) {
            swap(ad, bd);
        }
        printf("%s%c%s\n", common.c_str(), ad, gen_number(an - sim - 1, true).c_str());
        printf("%s%c%s\n", common.c_str(), bd, gen_number(an - sim - 1, true).c_str());
    }

}
