#include "testlib.h"
#include <set>
#include <vector>
#include <iostream>

using namespace std;

int maxx = (int)1e9;

pair<int, int> mas[(int)2e5 + 10];

int main(int argc, char* argv[]) {
    registerGen(argc, argv, 1);

    int n = atoi(argv[1]);
    int mx = atoi(argv[2]);
    int q = atoi(argv[3]);
    int w = atoi(argv[4]);
    set<int> se;
    while ((int)se.size() < 2 * mx)
    {
    	int x = rnd.next(-maxx, maxx);
    	se.insert(x);
    } 
    vector<int> points;
    for (int i: se)
    	points.push_back(i);
    int cur = 0;
    while (cur < n)
    {
    	int x = rnd.next(2, mx);
    	if (w && n - cur <= mx)
    		x = max(n - cur, 2);
    	se.clear();
    	int y = rnd.next(2 + (x & 1), x);
    	vector<int> arr[y];
    	vector<int> local;
    	while ((int)se.size() < y)
    	{
    		int z = rnd.next(0, (int)points.size() - 1);
    		se.insert(points[z]);
    	}
    	for (int i: se)
    		local.push_back(i);
    	int sum = 0;
    	for (int i = 0; i < x; i++)
    	{
    		if (x - i == 1 && sum == 0)
    		{
    			x--;
    			break;
    		}
    		int l, r;
    		while (true)
    		{
    			l = rnd.next(0, y - 1);
    			r = rnd.next(0, y - 1);
    			while (l == r)
    			{
    				l = rnd.next(0, y - 1);
    				r = rnd.next(0, y - 1);
    			}
    			if (l > r)
    				swap(l, r);
    			int sum2 = sum - ((int)arr[l].size() & 1) - ((int)arr[r].size() & 1)
    						+ ((int)(arr[l].size() + 1) & 1) + ((int)(arr[r].size() + 1) & 1);
    			if (sum2 / 2 <= x - i - 1)
    				break;
    		}
    		sum -= ((int)arr[l].size() & 1) + ((int)arr[r].size() & 1);
    		arr[l].push_back(1);
    		arr[r].push_back(-1);
    		sum += ((int)arr[l].size() & 1) + ((int)arr[r].size() & 1);
    		//cerr << i << " " << sum << " " << l << " " << r << endl;
    	}
    	vector<int> left;
    	int cnt = 0;
    	for (int i = 0; i < y; i++)
    	{
    		sort(arr[i].begin(), arr[i].end());
    		for (int j: arr[i])
    		{
    			if (j == -1)
    			{
    				int qwe = rnd.next(0, (int)left.size() - 1);
    				mas[cur + cnt] = {left[qwe], local[i]};
    				cnt++;
    				swap(left[qwe], left[left.size() - 1]);
    				left.pop_back();
    			}
    			else
    				left.push_back(local[i]);
    		}
    	}
    	cur += cnt;
    	//cerr << cur << endl;
    }
    if (q)
    	shuffle(mas, mas + n);
    cout << n << "\n";
    for (int i = 0; i < n; i++)
    	cout << mas[i].first << " " << mas[i].second << "\n";
    return 0;
}