#include <iostream>
#include <algorithm>
#include <cmath>
#include <vector>

using namespace std;

int l[(int)2e5 + 10], r[(int)2e5 + 10], cnt[(int)4e5 + 10];

int main()
{
	srand(239);
	ios::sync_with_stdio(false);
	cin.tie(0);
	cout.tie(0);
	int n;
	cin >> n;
	long long ans = 0;
	vector<int> mas;
	for (int i = 0; i < n; i++)
	{
		cin >> l[i] >> r[i];
		mas.push_back(l[i]);
		mas.push_back(r[i]);
	}
	sort(mas.begin(), mas.end());
	mas.resize(unique(mas.begin(), mas.end()) - mas.begin());
	for (int i = 0; i < n; i++)
	{
		l[i] = lower_bound(mas.begin(), mas.end(), l[i]) - mas.begin();
		r[i] = lower_bound(mas.begin(), mas.end(), r[i]) - mas.begin();
	}
	for (int i = 0; i < n; i++)
	{
		int sum = 0;
		for (int j = i; j < n; j++)
		{
			sum -= cnt[l[j]] + cnt[r[j]];
			cnt[l[j]] ^= 1;
			cnt[r[j]] ^= 1;
			sum += cnt[l[j]] + cnt[r[j]];
			if (sum == 0)
				ans++;
		}
		for (int j = i; j < n; j++)
		{
			cnt[l[j]] = 0;
			cnt[r[j]] = 0;
		}
	}
	cout << ans << endl;
	return 0;
}