// Created by Nikolay Budin

#ifdef DEBUG
#  define _GLIBCXX_DEBUG
#endif
#include <bits/stdc++.h>
#define ff first
#define ss second
#define szof(x) ((int)x.size())
#ifndef LOCAL
#  define cerr __get_ce
#endif

using namespace std;
typedef long long ll;
typedef long double ld;
typedef pair<int, int> pii;
typedef unsigned long long ull;
int const INF = (int)1e9 + 1e3;
ll const INFL = (ll)1e18 + 1e6;
#ifdef LOCAL
	mt19937 tw(9450189);
#else
	mt19937 tw(chrono::high_resolution_clock::now().time_since_epoch().count());
#endif
uniform_int_distribution<ll> ll_distr;
ll rnd(ll a, ll b) { return ll_distr(tw) % (b - a + 1) + a; }


void solve() {
	int n;
	cin >> n;
	vector<int> cnt(10);
	vector<vector<int>> where(10);
	for (int i = 0; i < n; ++i) {
		string s;
		cin >> s;
		vector<int> cur;
		for (char c : s) {
			cur.push_back(c - '0');
		}
		sort(cur.begin(), cur.end());
		cur.erase(unique(cur.begin(), cur.end()), cur.end());
		for (int d : cur) {
			cnt[d]++;
			where[d].push_back(i);
		}
	}

    /*
	if (!cnt[0]) {
		cout << "0\n";
		return;
	}
	*/

	int l_ans = min(cnt[0] + 2, *min_element(cnt.begin() + 1, cnt.end()) + 1);
	if (cnt[0] == l_ans - 2) {
		cout << "1" << string(l_ans - 1, '0') << "\n";
		return;
	}

	for (int i = 1; i < 10; ++i) {
		if (cnt[i] == l_ans - 1) {
			if (where[0] == where[i]) {
				cout << i << string(l_ans - 1, '0') << "\n";
			} else {
				cout << string(l_ans, '0' + i) << "\n";
			}
			return;
		}
	}
}


int main() {
#ifdef LOCAL
	auto start_time = clock();
	cerr << setprecision(3) << fixed;
#endif
	cout << setprecision(15) << fixed;
	ios::sync_with_stdio(false);
	cin.tie(nullptr);

	int test_count = 1;
	// cin >> test_count;
	for (int test = 1; test <= test_count; ++test) {
		solve();
	}
	
#ifdef LOCAL
	auto end_time = clock();
	cerr << "Execution time: " << (end_time - start_time) * (int)1e3 / CLOCKS_PER_SEC << " ms\n";
#endif
}
