#include <bits/stdc++.h>
#include "testlib.h"
#define ff first
#define ss second
#define szof(_x) ((int) (_x).size())

using namespace std;
typedef long long ll;
typedef pair<int, int> pii;
const int INF = 1e9 + 7;
const ll INFL = 1e18 + 123;
const double PI = atan2(0, -1);

bool is_prime(int num) {
	if (num < 2) {
		return false;
	}
	for (int i = 2; i * i <= num; ++i) {
		if (num % i == 0) {
			return false;
		}
	}
	return true;
}

int main(int argc, char* argv[]) {
	registerGen(argc, argv, 1);

	int maxn = atoi(argv[1]);
	int ta = atoi(argv[2]);
	int tb = atoi(argv[3]);

	auto gen = [&]() {
		while (true) {
			int p = rnd.next(2, maxn);
			if (is_prime(p)) {
				return p;
			}
		}
	};

	int a = ta == 1 ? gen() : rnd.next(0, maxn);
	int b = tb == 1 ? gen() : rnd.next(0, maxn);

	cout << a << " " << b << "\n";

	return 0;
}