#include <iostream>
#include <vector>

using namespace std;

const int B = 30;

int main() {
    ios::sync_with_stdio(0);
    cin.tie(0);

    int n, q;
    cin >> n >> q;
    vector<int> a(n);
    vector<int> cnt(B);

    for (int i = 0; i < n; ++i) {
        cin >> a[i];
        for (int j = 0; j < B; ++j) {
            if (a[i] & (1 << j)) {
                ++cnt[j];
            }
        }
    }

    int xr = 0;
    int sz = n;
    for (int i = 0; i < q; ++i) {
        int t, v;
        cin >> t >> v;
        if (t == 1) {
            for (int j = 0; j < B; ++j) {
                if (v & (1 << j)) {
                    ++cnt[j];
                }
            }

            a.push_back(v ^ xr);
            ++sz;
        } else if (t == 2) {
            --v;
            a[v] ^= xr;

            for (int j = 0; j < B; ++j) {
                if (a[v] & (1 << j)) {
                    --cnt[j];
                }
            }

            --sz;
        } else {
            xr ^= v;
            for (int j = 0; j < B; ++j) {
                if (v & (1 << j)) {
                    cnt[j] = sz - cnt[j];
                }
            }
        }

        long long s = 0;
        for (int j = 0; j < B; ++j) {
            s += 1LL * cnt[j] * (1 << j);
        }
        cout << s << "\n";
    }

    return 0;
}