#include "testlib.h"
#include <iostream>

using namespace std;

int maxx = (int)1e9;

pair<int, int> mas[(int)2e5 + 10];

int main(int argc, char* argv[]) {
    registerGen(argc, argv, 1);

    int n = atoi(argv[1]);
    int q = atoi(argv[2]);
    cout << n << "\n";
    for (int i = 0; i < n; i += 2)
    {
    	int l = rnd.next(-maxx, maxx);
    	int r = rnd.next(-maxx, maxx);
    	while (l == r)
    	{
    		l = rnd.next(-maxx, maxx);
			r = rnd.next(-maxx, maxx);
    	}
    	if (l > r)
    		swap(l, r);
    	mas[i] = {l, r};
    	mas[i + 1] = {l, r};
    }
    if (q)
    	shuffle(mas, mas + n);
    for (int i = 0; i < n; i++)
    	cout << mas[i].first << " " << mas[i].second << "\n";
    return 0;
}