// Created by Nikolay Budin

#ifdef DEBUG
#  define _GLIBCXX_DEBUG
#endif
#include <bits/stdc++.h>
#define ff first
#define ss second
#define szof(x) ((int)x.size())
#ifndef LOCAL
#  define cerr __get_ce
#endif

using namespace std;
typedef long long ll;
typedef long double ld;
typedef pair<int, int> pii;
typedef unsigned long long ull;
int const INF = (int)1e9 + 1e3;
ll const INFL = (ll)1e18 + 1e6;
#ifdef LOCAL
	mt19937 tw(9450189);
#else
	mt19937 tw(chrono::high_resolution_clock::now().time_since_epoch().count());
#endif
uniform_int_distribution<ll> ll_distr;
ll rnd(ll a, ll b) { return ll_distr(tw) % (b - a + 1) + a; }

const int P = 239;

void solve() {
	int n;
	cin >> n;
	map<int, int> inds;
	auto get_ind = [&](int x) {
		if (!inds.count(x)) {
			int tmp = szof(inds);
			inds[x] = tmp;
		}
		return inds[x];
	};
	vector<pii> segs;
	for (int i = 0; i < n; ++i) {
		int l, r;
		cin >> l >> r;
		segs.push_back({get_ind(l), get_ind(r)});
	}
	vector<int> state(szof(inds));
	ll ans = 0;
	map<ull, int> have;
	ull h = 0;
	vector<ull> ppows = {1};
	for (int i = 0; i < szof(inds) + 5; ++i) {
		ppows.push_back(ppows.back() * P);
	}
	for (int i = n - 1; i >= 0; --i) {
		have[h]++;
		for (int val : {segs[i].ff, segs[i].ss}) {
			if (state[val]) {
				h -= ppows[val];
			} else {
				h += ppows[val];
			}
			state[val] ^= 1;
		}
		ans += have[h];
	}
	cout << ans << "\n";
}


int main() {
#ifdef LOCAL
	auto start_time = clock();
	cerr << setprecision(3) << fixed;
#endif
	cout << setprecision(15) << fixed;
	ios::sync_with_stdio(false);
	cin.tie(nullptr);

	int test_count = 1;
	// cin >> test_count;
	for (int test = 1; test <= test_count; ++test) {
		solve();
	}
	
#ifdef LOCAL
	auto end_time = clock();
	cerr << "Execution time: " << (end_time - start_time) * (int)1e3 / CLOCKS_PER_SEC << " ms\n";
#endif
}
